Class | Chef::Provider::Package::Yum::RPMVersion
In: | lib/chef/provider/package/yum.rb
Parent: | Object

### Methods

<=> compare evr new parse partial_compare to_s

### Included Modules

Comparable

### External Aliases

e | -> | epoch
v | -> | version
r | -> | release

### Attributes

e | [R] |
r | [R] |
v | [R] |

### Public Class methods

new(*args)
parse(*args)

### Public Instance methods

<=>(y)
compare(y)
evr()
partial_compare(y)
to_s()

RPM::Version rpm_version_to_s equivalent

[Validate]